/********************************************************************
  *
  *  program     : Kunden.java
  *  author      : heljanic
  *  version     : 2001-04-24 (001)
  *  (c)         : Helge Janicke, Niels-Peter de Witt, Karsten Wolke
  *  email       : heljanic@agent.fho-emden.de
  *		 		 : ndewitt@gmx.de
  *		 		 : mail@karsten-wolke.de
  *  description : Class representing a Kunde (concept)
  *
  *******************************************************************
  * modifications: See at the end of the document.
  *******************************************************************
  * comments:
  *******************************************************************
  * license:
  *	This software is is provided AS IS, without a warranty of any
  *	kind. ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATION AND
  *	WARRANTIES, INCLUDING ANY IMLIED WARRANTY OF MERCHANTABILITY,
  *	FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE
  *	HEREBY EXCLUDED. WE SHALL NOT BE LIABLE FOR ANY DAMAGES
  *	SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
  *	DISTRIBUTING THE SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WE
  *	WILL BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR
  *	DIRECT, INDIRECT, SPECIAL, CENSEQUENTIAL, INCIDENTIAL OR
  *	PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE THEORY
  *	OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE
  *	SOFTWARE, EVEN IF WE HAVE BEEN ADVISED OF THE POSSIBILITY OF
  *	SUCH DAMAGES.
  *	This software is not designed or intended for use in online
  *	control of aircraft, air traffic, aircraft navigation or
  *	aircraft communications; or in the design, construction,
  *	operation or maintenance of any nuclear facility. Licensee
  *	represents and warrants that it will not use or redistribute
  *	the software for such purposes.
********************************************************************/

/** This class represents a Kunde. */
public class Kunde {

	/** The knr (primary key - see concept) of the Kunde. */
	private int knr = 0;

	/** The name property of the Kunde */
	private String name = null;

	/** The strasse property of the Kunde */
	private String strasse = null;

	/** The ort property f the Kunde */
	private String ort = null;

	/** Constructor */
	public Kunde() {
	}

	/** Constructor.
	  * @param knr The knr property of the Kunde.
	  * @param name The name property of the Kunde.
	  * @param strasse The strasse property of the Kunde.
	  * @param ort The ort property of the Kunde.
	  */
	public Kunde(int knr, String name, String strasse, String ort) {
		setKnr(knr);
		setName(name);
		setStrasse(strasse);
		setOrt(ort);
	}

	/** Sets the knr property.
	  * @param knr The new knr.
	  */
	public void setKnr(int knr) {
		this.knr = knr;
	}

	/** Sets the name property.
	  * @param name The new name.
	  */
	public void setName(String name) {
		this.name = name;
	}

	/** Sets the strasse property.
	  * @param strasse The new strasse.
	  */
	public void setStrasse(String strasse) {
		this.strasse = strasse;
	}

	/** Sets the ort property.
	  * @param ort The new ort.
	  */
	public void setOrt(String ort) {
		this.ort = ort;
	}

	/** Returns the knr property.
	  * @return The knr.
	  */
	public int getKnr() {
		return this.knr;
	}

	/** Returns the name property.
	  * @return The name.
	  */
	public String getName() {
		return this.name;
	}

	/** Returns the strasse property.
	  * @return The strasse.
	  */
	public String getStrasse() {
		return this.strasse;
	}

	/** Returns the ort property.
	  * @return The ort.
	  */
	public String getOrt() {
		return this.ort;
	}

	/** Overwrites equals in class Object.
	  * A Kunde is compared by its' knr property.
	  * kunde1.equals(kunde2) is equivalent to kunde1.getKnr() == kunde2.getKnr()
	  * @param obj The Kunde to compare with.
	  * @returns True if both Kunde objects have the same knr.
	  */
	public boolean equals(Object obj) {
		if ((obj instanceof Kunde) && (this.knr == ((Kunde) obj).knr)) {
			return true;
		}
		return false;
	}
}

/********************************************************************
  * date: ******* who: ****** description: **************************
  * -----------------------------------------------------------------
  * 2000-10-19    heljanic    your description here
  * -----------------------------------------------------------------
********************************************************************/
