/********************************************************************
  *
  *  program     : KundeTester.java
  *  author      : heljanic
  *  version     : 2001-02-24 (001)
  *  (c)         : Helge Janicke, Niels-Peter de Witt, Karsten Wolke
  *  email       : heljanic@agent.fho-emden.de
  *		 : ndewitt@gmx.de
  *		 : mail@karsten-wolke.de
  *  description :
  *
  *******************************************************************
  * modifications: See at the end of the document.
  *******************************************************************
  * comments:
  *******************************************************************
  * license:
  *	This software is is provided AS IS, without a warranty of any
  *	kind. ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATION AND
  *	WARRANTIES, INCLUDING ANY IMLIED WARRANTY OF MERCHANTABILITY,
  *	FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT, ARE
  *	HEREBY EXCLUDED. WE SHALL NOT BE LIABLE FOR ANY DAMAGES
  *	SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
  *	DISTRIBUTING THE SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WE
  *	WILL BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR
  *	DIRECT, INDIRECT, SPECIAL, CENSEQUENTIAL, INCIDENTIAL OR
  *	PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE THEORY
  *	OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE
  *	SOFTWARE, EVEN IF WE HAVE BEEN ADVISED OF THE POSSIBILITY OF
  *	SUCH DAMAGES.
  *	This software is not designed or intended for use in online
  *	control of aircraft, air traffic, aircraft navigation or
  *	aircraft communications; or in the design, construction,
  *	operation or maintenance of any nuclear facility. Licensee
  *	represents and warrants that it will not use or redistribute
  *	the software for such purposes.
********************************************************************/
import de.web.databasesupport.tools.database.*;
import java.sql.*;

/** Simple Tester class for Kunde and KundeBroker. */
public class KundeTester {
	Database db = null;
	KundenBroker broker = null;

	public KundeTester() throws Exception {
		db = new SimpleDatabase(SimpleDatabase.JDBC_ODBC_DRIVER, "jdbc:odbc:auftragsverwaltung");
		db.open();
		broker = new KundenBroker(db);
	}

	public static void main(String[] args) {
		try {
			KundeTester test = new KundeTester();
			Kunde k = test.broker.readKunde(2);
			System.out.println("knr = " + k.getKnr() + "\nname = " + k.getName());
			test.db.close();
		} catch (Exception exc) {
			exc.printStackTrace();
		}
	}
}

/********************************************************************
  * date: ******* who: ****** description: **************************
  * -----------------------------------------------------------------
  * 2000-10-19    heljanic    your description here
  * -----------------------------------------------------------------
********************************************************************/
